import type { Ref, CSSProperties } from 'vue'
import { TableInstance, Column } from 'element-plus'
import { CommonTableColumn } from '~/common'

interface tableColumnGroup {
  title: string
  columns: CommonTableColumn[]
}
type CellSlotProps = {
  column: TableColumn | TableColumnInGroup
  columns: TableColumn[] | TableColumnInGroup[]
  columnIndex: number
  depth: number
  style: CSSProperties
  rowData: any
  rowIndex: number
  isScrolling: boolean
  expandIconProps?:
    | {
        rowData: any
        rowIndex: number
        onExpand: (expand: boolean) => void
      }
    | undefined
}
interface ExportOptions {
  table: TableInstance | Ref<TableInstance>
  sheetName?: string
  fileName?: string
  headerRowNumber?: number
}
type ExportHandler = (option: ExportOptions) => void
